# ApplicationFramework
TKXml
XmlDrivers

# XmlDrivers_DocumentStorageDriver Class Reference

`#include <XmlDrivers_DocumentStorageDriver.hxx>`

Inheritance diagram for XmlDrivers_DocumentStorageDriver:

[legend]

## Public Member Functions

Standard_EXPORT | XmlDrivers_DocumentStorageDriver (const TCollection_ExtendedString &theCopyright)
virtual Standard_EXPORT Handle_XmlMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlDrivers_DocumentStorageDriver::XmlDrivers_DocumentStorageDriver | ( | const TCollection_ExtendedString & | theCopyright | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_XmlMDF_ADriverTable XmlDrivers_DocumentStorageDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) | `[virtual]`

| Reimplemented from XmlLDrivers_DocumentStorageDriver.

Standard_EXPORT const XmlDrivers_DocumentStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from XmlLDrivers_DocumentStorageDriver.

The documentation for this class was generated from the following file:

- XmlDrivers_DocumentStorageDriver.hxx